#include "Point.hh"
#include "Rectangle.hh"
#include "Circle.hh"

#include <iostream>
#include <list>

using namespace std;

int main() {
	
	Point p1(10.0,20.0);
	Point o;

	p1.print(); cout << endl;
	o.print(); cout << endl;

	Rectangle r1(5.0,5.0,10.0,2.0);
	r1.draw(); 

	Circle c1(0.0,0.0, 4.0);
	c1.draw();
	
	list<Shape*> shapes;
	shapes.push_back(&r1);
	shapes.push_back(&c1);

	for(list<Shape*>::iterator it=shapes.begin();
		it!=shapes.end();
		++it) {
		(*it)->draw();
	}

	return 0;
}
